import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import BrandComponent from './BrandComponent';

export default {
    title: 'Components/Brand',
    component: BrandComponent,
    decorators: [
        (story) => (
            <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>
        ),
    ],
    argTypes: {
        size: { control: 'text', defaultValue: '100px' },
        variant: {
            control: 'select',
            options: ['stacked', 'horizontal', 'logomark', 'wordmark', 'poweredBy'],
        },
    },
    args: {
        size: '100px',
        variant: 'stacked',
    },
} as ComponentMeta<typeof BrandComponent>;

export const Brand: ComponentStory<typeof BrandComponent> = (args) => (
    <BrandComponent {...args} />
);
