import React, { PropsWithChildren, useCallback } from 'react';
import NSLogoHorizontal from './icons/NSLogoHorizontal';
import NSLogoMark from './icons/NSLogoMark';
import NSLogoPoweredBy from './icons/NSLogoPoweredBy';
import NSLogoStacked from './icons/NSLogoStacked';
import NSLogoWordMark from './icons/NSWordMark';
import LogoContainer from './BrandContanier.styled';
import { BrandComponentProps } from './types';

const VariantMap = {
    stacked: NSLogoStacked,
    horizontal: NSLogoHorizontal,
    wordmark: NSLogoWordMark,
    logomark: NSLogoMark,
    poweredBy: NSLogoPoweredBy,
};

const BrandComponent = (props: PropsWithChildren<BrandComponentProps>) => {
    const { variant = 'stacked', size = '108px', color = 'primary' } = props;
    const renderBrand = useCallback(() => {
        const BrandComponent = VariantMap[variant || 'stacked'];
        return <BrandComponent color={color as any} />;
    }, [variant]);
    return <LogoContainer size={size}>{renderBrand()}</LogoContainer>;
};

export default BrandComponent;
