import { render } from '@testing-library/react';
import NsBrandProductCard from '../NsBrandProductCard';

describe('NSBgCard component', () => {
    const props = {
        title: 'Nutricentials',
        brandImageUrl: 'https://media.nuskin.com/m/f3a91129cbbae32/webimage-brand-nutricentials.png',
        backgroundImageUrl: 'https://media.nuskin.com/m/298104036e885b40/webimage-brand-nutricentials.png',
    };
    it('render brand image', () => {
        const { container } = render(<NsBrandProductCard {...props} />);
        const img = container.querySelector('img');
        expect(img).toHaveAttribute('src', props.brandImageUrl);
    });
    it('render background image', () => {
        const { container } = render(<NsBrandProductCard {...props} />);
        const card = container.querySelector('div.MuiPaper-root');
        expect(card).toHaveStyle(`
    background-image: url(${props.backgroundImageUrl});
    `);
    });
    it('renders title', () => {
        const { getByText } = render(<NsBrandProductCard {...props} />);
        const cardElement = getByText(props.title);
        expect(cardElement).toBeInTheDocument();
    });
    it('does not render title, when title is not passed', () => {
        const { container } = render(<NsBrandProductCard {...{ ...props, title: undefined }} />);
        const cardElement = container.querySelector('.brand-title');
        expect(cardElement).toBeNull();
    });
});
