/**
 * @author [vijayaprathap Kumar] (vpkumar@nuskin.com)
 * types.d.ts
 * @description Extend the FlagProps interface to include message, color and size prop.
 */

import { PaletteColorNames } from '@nuskin/foundation-theme/src/themes/types';

export type NsFlagSize = 'small' | 'medium' | 'large';

export type NsFlagProps = {
    className?: string;
    size?: NsFlagSize;
    message?: string;
    testId?: string;
    /** Displays background color for flag container */
    color?: PaletteColorNames;
};
