import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import { NsNavTabComponent } from './NsNavTab';

export default {
    title: 'Components/NavTab',
    component: NsNavTabComponent,
    decorators: [(story) => <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>],
    argTypes: {
        tabs: { control: 'object' },
    },
    args: {
        tabs: [
            {
                tabName: 'Tab One',
                activeColor: 'info',
                color: 'primary',
                tabContnet: 'test',
                textVariant: 'h5',
            },
            {
                tabName: 'Tab Two',
                activeColor: 'info',
                color: 'primary',
                tabContnet: 'test',
                textVariant: 'h5',
            },
        ],
    },
} as ComponentMeta<typeof NsNavTabComponent>;

export const NavTab: ComponentStory<typeof NsNavTabComponent> = (args) => <NsNavTabComponent {...args} />;
