import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import TypographyComponent from './Typography';

export default {
    title: 'Components/Typography',
    component: TypographyComponent,
    decorators: [(story) => <div style={{ textAlign: 'center', marginTop: '20px' }}>{story()}</div>],
    argTypes: {
        children: {
            control: 'text',
            name: 'Children/Text',
            defaultValue: 'Typography',
        },
    },
    args: {
        children: 'Typography',
        color: 'primary',
    },
} as ComponentMeta<typeof TypographyComponent>;

export const Typography: ComponentStory<typeof TypographyComponent> = (args) => <TypographyComponent {...args} />;
